## shell-fm 0.7+git20100414

=== Makefile ===

DESTDIR =
PREFIX	:= /usr
MANDIR	:= $(PREFIX)/man
DOCDIR  := ${PREFIX}/share/doc

.PHONY			: shell-fm manual all clean tags cscope

all				: shell-fm manual

shell-fm		:
	$(MAKE) -C source

manual			:
	$(MAKE) -C manual

install			:
	install -m 0755 -d $(DESTDIR)$(PREFIX)/bin/
	install -m 0755 -d $(DESTDIR)$(MANDIR)/man1/
	install -m 0755 source/shell-fm $(DESTDIR)$(PREFIX)/bin/
	install -m 0644 manual/shell-fm.1.gz $(DESTDIR)$(MANDIR)/man1/

install-extras		:
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/shell-fm/
	cp -r scripts $(DESTDIR)$(DOCDIR)/shell-fm/



install-strip	: install
	strip $(PREFIX)/bin/shell-fm

uninstall		: uninstall-extras
	rm -f $(PREFIX)/bin/shell-fm
	rm -f $(MANDIR)/man1/shell-fm.1.gz
	rmdir --ignore-fail-on-non-empty $(PREFIX)/bin
	rmdir --ignore-fail-on-non-empty $(MANDIR)/man1
	rmdir --ignore-fail-on-non-empty $(MANDIR)
	rmdir --ignore-fail-on-non-empty $(PREFIX)

uninstall-extras	:
	rm -rf $(DESTDIR)$(DOCDIR)/shell-fm/

clean			:
	$(MAKE) -C source clean
	$(MAKE) -C manual clean


tags		: cscope.files
	@rm -f tags
	xargs -n50 ctags -a < cscope.files

cscope		: cscope.files
	cscope -b

cscope.files	:
	find source -name '*.[ch]' > cscope.files

=== manual/Makefile ===

.PHONY	: clean

manual	: shell-fm.1.gz

shell-fm.1.gz : shell-fm.1
	gzip -9 -c $< > $@

clean	:
	rm -f shell-fm.1.gz

=== source/Makefile ===
MAIN	:= main.c
SOURCE	:= $(filter-out $(MAIN),$(wildcard *.c))
OBJECT	:= $(subst .c,.o,$(SOURCE))
DEP	:= $(subst .c,.d,$(SOURCE))
BINARY	:= shell-fm
LIB	:= libshellfm.so
STATIC	:= libshellfm.a
CFLAGS  += -Os -Wall -MD -W -I./include/

ifdef EXTERN_ONLY
	CFLAGS += -DEXTERN_ONLY
else
ifeq ($(shell uname -s), OpenBSD)
	LDLIBS += -lossaudio
endif
ifeq ($(shell uname -s), NetBSD)
	LDLIBS += -lossaudio
endif
ifeq ($(shell uname -s), Darwin)
	CFLAGS += -D__darwin__
endif

CFLAGS  += -DLIBAO \
	   $(shell pkg-config --cflags mad) \
	   $(shell pkg-config --cflags ao)
LDLIBS += $(shell pkg-config --libs mad) \
	   $(shell pkg-config --libs ao)

ifeq ($(shell pkg-config --exists taglib_c && echo 1), 1)
	CFLAGS  += $(shell pkg-config --cflags taglib_c) -DTAGLIB
	LDLIBS += $(shell pkg-config --libs taglib_c)
endif
endif

.PHONY: clean tags cscope

all	: $(BINARY)

$(LIB)	: $(OBJECT)
	$(CC) -shared -Wl,-soname,$(LIB) -o $(LIB) $(OBJECT)

$(STATIC) : $(OBJECT)
	$(AR) -cvq $(STATIC) $(OBJECT)

$(BINARY)	: $(STATIC) $(MAIN)
	$(CC) $(CFLAGS) $(LDFLAGS) $(MAIN) $(STATIC) $(LDLIBS) -o $(BINARY)

clean		:
	rm -f $(OBJECT) $(BINARY) $(LIB) $(STATIC) $(DEP)

tags cscope	:
	$(MAKE) -C .. $@

sinclude $(DEP)

=== debian/changelog ===
shell-fm (0.7+git20100414-2) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:51:37 +0000

shell-fm (0.7+git20100414-1) unstable; urgency=low

  * New Git snapshot (closes: #510090).
   - Determine appropriate include using __FreeBSD_kernel__. Fixes
     FTBFS in GNU/kFreeBSD. Thanks Cyril (closes: #542534)
   - Decode quotes. Thanks Jakub. (closes: #503734)
   - Send complete URLs to adjust.php. Thanks Clint (closes: #525840)
   - Fix remaining song time after recovering shell-fm from the background.
     Thanks Ignacio (closes: #489449)
  * debian/manpages
   - No longer necessary, upstream ships now a manpage. (closes: #550513)
  * debian/control
   - Drop deprecated b-ds: autoconf, automake
   - Add pkg-config as b-d
   - Bump Standards-Version to 3.8.4
   - Add warning about subscription fees to package description
   - Suggest zsh and python
  * Install third-party scripts to /usr/lib/shell-fm
  * Switch to dpkg-source 3.0 (quilt) format.
  * Move to Debhelper compatibility level 7.

 -- Nacho Barrientos Arias <nacho@debian.org>  Wed, 14 Apr 2010 13:36:58 +0200

shell-fm (0.4+svn20071125.r282-1) unstable; urgency=low

  * New SVN snapshot 
  * debian/control
   - Homepage field added.
  * debian/shell-fm.examples
   - Path fixed.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 25 Nov 2007 18:03:34 +0100

shell-fm (0.3~svn20071004.r262-1) unstable; urgency=low

  * New SVN snapshot
   + Support for the new Last.FM protocol now in unstable.
   + Prevents some ugly sigsegvs.
   + Improved socket interface.
   + AO support is now working properly.

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 04 Oct 2007 14:56:01 +0200

shell-fm (0.3~svn20070725.r249-1) experimental; urgency=low

  * New SVN snapshot
   + Beta support for the new Last.FM query protocol.
   + Track skipping is now working (closes: #431642).
  * debian/control
   + Dropped no longer needed readline build dependency.
   + Build-depending on autoconf and automake.
  * debian/rules
   + Running reconfig.

 -- Nacho Barrientos Arias <nacho@debian.org>  Wed, 25 Jul 2007 15:07:30 +0200

shell-fm (0.2+svn20070605.r215-1) unstable; urgency=low

  * New SVN snapshot
   + Added patch to fix a weird behaviour with non-ascii characters (merged 
     upstream directly) (closes: #427378).
     Thanks to Eugeniy Meshcheryakov <eugen@debian.org>
   + Fixed discovery mode.
   + Code clean up and minor fixes.
  * debian/{rules,control}
   + Disabling libao support in non-supported architectures, it renders 
     shell-fm unusable in those architectures.

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 05 Jun 2007 13:01:53 +0200

shell-fm (0.2+svn20070421.r201-1) unstable; urgency=low

  * New SVN snapshot
   + Minor bugfixes.
   + Improved radio history.
   + Added ~/.shell-fm/session in order to be used by 
     external scripts.
  * debian/rules
   + Installing a dummy RC file in examples directory.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 22 Apr 2007 20:40:44 +0200

shell-fm (0.2+svn20070316.r191-1) unstable; urgency=low

  * Initial release (Closes: #409526).

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun,  4 Mar 2007 14:45:34 +0100

=== debian/control ===
Source: shell-fm
Section: sound
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libmad0-dev, libao-dev, pkg-config
Standards-Version: 3.8.4
Homepage: http://nex.scrapping.cc/shell-fm/ 

Package: shell-fm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: zsh, python
Description: console based player for last.fm radio streams
 Shell.FM is a lightweight and interactive console based player 
 for last.fm radio streams (e.g. lastfm://globaltags/world)
 featuring proxy support and bookmarks saving.
 .
 You need an account in order to use this player, so please 
 consider create one for free before using Shell.FM at 
 http://last.fm. In some countries subscription fees may apply, 
 see Last.fm website for additional details.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -O0
else
	CFLAGS = -O2
endif

CFLAGS += -Wall -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f source/shell-fm.d
	rm -f build-stamp configure-stamp setup-stamp install-stamp
	dh_clean 

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/shell-fm MANDIR=/usr/share/man install
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
